apiVersion: extensions/v1beta1
kind: Deployment
metadata:
  name: wildfly-mysql-deployment
spec:
  replicas: 2
  template:
    metadata:
      labels:
        app: wildfly-mysql
    spec:
      containers:
      - name: wildfly-mysql-container
        image: arungupta/wildfly-mysql-javaee7
        ports:
        - containerPort: 8080
        env:

        - name: MYSQL_HOST
          value: "192.168.5.33"

        - name: MYSQL_PORT
          value: "3306"

        - name: MYSQL_SERVICE_SERVICE_HOST
          value: "192.168.5.33"

        - name: MYSQL_SERVICE_SERVICE_PORT
          value: "3306"


        - name: DB_PORT
          value: "tcp://192.168.5.33:3306"

        - name: DB_PORT_3306_TCP
          value: "tcp://192.168.5.33:3306"

        - name: DB_ENV_MYSQL_DATABASE
          value: "sample"

        - name: DB_PORT_3306_TCP_ADDR
          value: "192.168.5.33"

        - name: DB_PORT_3306_TCP_PORT
          value: "3306"

        - name: DB_ENV_MYSQL_USER
          valueFrom:
            secretKeyRef:
              name: mysecret
              key: mysql_user

        - name: DB_ENV_MYSQL_PASSWORD
          valueFrom:
            secretKeyRef:
              name: mysecret
              key: mysql_password

        - name: DB_MYSQL_ROOT_PASSWORD
          valueFrom:
            secretKeyRef:
              name: mysecret
              key: mysql_root_password

